Database connection issue

More
2 years 10 months ago #127842 by valuad
valuad created the topic: Database connection issue
Installing version 2.06 on an ipage.com hosted site.

Receive message that connection with database fails. Have run a test script to check access to the database i created from the same location as the installation script - and it works fine.

ipage technicians and myself are stumped! Any suggestions appreciated.

Please Log in or Create an account to join the conversation.

More
2 years 10 months ago #127881 by valuad
valuad replied the topic: Database connection issue
I have been advised by my host that there are some variables in PHP v5.5 that are not compatible with LimeSurvey and that this was the cause of the installation issue.. And so we have changed the PHP to v5.3 and the installation has proceeded successfully.

As I have other applications running on the server that require a higher version of PHP i may have to find another host for LimeSurvey.

Has this issue been previously identified? And might it be resolved for running on php v.5.5?
The following user(s) said Thank You: LouisGac

Please Log in or Create an account to join the conversation.

More
2 years 10 months ago #127882 by LouisGac
LouisGac replied the topic: Database connection issue
Many people are using LimeSurvey with PHP 5.5.
It's rather a configuration problem of the server from your host provider.

Can he provides more infos about those variables ?
The following user(s) said Thank You: valuad

Please Log in or Create an account to join the conversation.

More
2 years 10 months ago #127885 by valuad
valuad replied the topic: Database connection issue
Am advised the PDO database driver required for the application has a compatibility issue with php version 5.5. and higher. Host advises that their engineers are working on it.

Please Log in or Create an account to join the conversation.

More
2 years 10 months ago - 2 years 10 months ago #127886 by LouisGac
LouisGac replied the topic: Database connection issue
PDO is a PHP native functionality today... so...
Again, many people are using LimeSurvey with PHP 5.5 without problem. The problem come from your host configuration, and your host provider should resolved it.

Here, a post of someone who experienced a similar problem :
www.limesurvey.org/en/community-services...-pdo-library-missing

Maybe that could help you.
Last Edit: 2 years 10 months ago by LouisGac.

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!